### org.jfree.layouting.modules.output.plaintext

# Class PlaintextFontMetricsFactory

- `java.lang.Object`
- - `org.jfree.layouting.modules.output.plaintext.PlaintextFontMetricsFactory`

Implemented Interfaces:
  FontMetricsFactory

`public class PlaintextFontMetricsFactory`
`extends java.lang.Object`
`implements FontMetricsFactory`

Creation-Date: 13.11.2006, 12:51:41

Author:
  Thomas Morgner

  ## Constructor Summary

  `PlaintextFontMetricsFactory(double charWidth, double charHeight)`

  ## Method Summary

  `FontMetrics`

  `createMetrics(FontIdentifier identifier, FontContext context)`
    Loads the font metrics for the font identified by the given identifier.

## Constructor Details

### PlaintextFontMetricsFactory

    public PlaintextFontMetricsFactory(double charWidth,
                                       double charHeight)

## Method Details

### createMetrics

    public FontMetrics createMetrics(FontIdentifier identifier,
                                     FontContext context)

> Loads the font metrics for the font identified by the given identifier.
> Parameters:
>   `identifier` -
>   `context` -
> Returns: